EmailAddressParsedResult (ZXing 3.5.0 API)

com.google.zxing.client.result

## Class EmailAddressParsedResult

- java.lang.Object
- - com.google.zxing.client.result.ParsedResult
  - - com.google.zxing.client.result.EmailAddressParsedResult

-     public final class EmailAddressParsedResult
      extends ParsedResult

  Represents a parsed result that encodes an email message including recipients, subject and body text.
  Author:
    Sean Owen

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getBCCs()`
    `String` | `getBody()`
    `String[]` | `getCCs()`
    `String` | `getDisplayResult()`
    `String` | `getEmailAddress()` Deprecated. use `getTos()`
    `String` | `getMailtoURI()` Deprecated. without replacement
    `String` | `getSubject()`
    `String[]` | `getTos()`

    - ### Methods inherited from class com.google.zxing.client.result.ParsedResult

      `getType, maybeAppend, maybeAppend, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getEmailAddress

          @Deprecated
          public String getEmailAddress()

      Deprecated. use `getTos()`
      Returns:
        first elements of `getTos()` or `null` if none

    - #### getTos

          public String[] getTos()

    - #### getCCs

          public String[] getCCs()

    - #### getBCCs

          public String[] getBCCs()

    - #### getSubject

          public String getSubject()

    - #### getBody

          public String getBody()

    - #### getMailtoURI

          @Deprecated
          public String getMailtoURI()

      Deprecated. without replacement
      Returns:
        "mailto:"

    - #### getDisplayResult

          public String getDisplayResult()

      Specified by:
        `getDisplayResult` in class `ParsedResult`

Copyright © 2007–2022. All rights reserved.